
// @ts-nocheck
import React from 'react'
import { mdx } from '@mdx-js/react'

/* @jsxRuntime classic */
/* @jsx mdx */

import { MDXScopeProvider } from '@teambit/ui.mdx-scope-context';


const layoutProps = {
  
};
const MDXLayout = "wrapper"
export default function MDXContent({
  components,
  ...props
}) {
  return <MDXLayout {...layoutProps} {...props} components={components} mdxType="MDXLayout">
    <MDXScopeProvider components={{}} mdxType="MDXScopeProvider"><h2>{`How to Add Tests`}</h2>
      <iframe width="560" height="315" src="https://www.youtube.com/embed/R0LWV2gcbf8?rel=0" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
      <blockquote>
        <p parentName="blockquote">{`Adding tests to a component is done by creating a file in the component's directory, using `}<inlineCode parentName="p">{`*.spec.[ts|tsx|js|jsx]`}</inlineCode>{` or `}<inlineCode parentName="p">{`*.test.[ts|tsx|js|jsx]`}</inlineCode>{`.`}</p>
      </blockquote>
      <p>{`The local dev server watches your components for any changes and reruns tests for your component and all its dependents for you.`}</p>
      <pre><code parentName="pre" {...{
          "className": "language-bash{5}"
        }}>{`├── ui/button
    ├── index.tsx
    ├── button.spec.tsx
    └── button.tsx
`}</code></pre>
      <p>{`It is highly recommended to use the component compositions as test samples.`}</p>
      <pre><code parentName="pre" {...{
          "className": "language-tsx",
          "metastring": "{4} title=\"button.tsx\"",
          "{4}": true,
          "title": "\"button.tsx\""
        }}>{`import React from 'react';
import { render } from '@testing-library/react';
import { Button } from './button.composition';

it('should render with the correct text', () => {
  const { getByText } = render(<BasicButton />);
  const rendered = getByText('click me');
  expect(rendered).toBeTruthy();
});
`}</code></pre>
      <p><a parentName="p" {...{
          "href": "https://harmony-docs.bit.dev/building-with-bit/testing-components"
        }}>{`Learn more about testing components.`}</a></p></MDXScopeProvider>
    </MDXLayout>;
}

;
MDXContent.isMDXComponent = true;